package sharin.doc.builder.xhtml1;

public class TableElem extends GenericCommonElem<TableElem> {

    public TableElem(Object... nodes) {
        super("table", nodes);
    }

    public TableElem align(Object value) {
        return attr("align", value);
    }

    public TableElem alignCenter() {
        return align("center");
    }

    public TableElem alignLeft() {
        return align("left");
    }

    public TableElem alignRight() {
        return align("right");
    }

    public TableElem bgcolor(Object value) {
        return attr("bgcolor", value);
    }

    public TableElem border(Object value) {
        return attr("border", value);
    }

    public TableElem cellpadding(Object value) {
        return attr("cellpadding", value);
    }

    public TableElem cellspacing(Object value) {
        return attr("cellspacing", value);
    }

    public TableElem frame(Object value) {
        return attr("frame", value);
    }

    public TableElem frameAbove() {
        return frame("above");
    }

    public TableElem frameBelow() {
        return frame("below");
    }

    public TableElem frameBorder() {
        return frame("border");
    }

    public TableElem frameBox() {
        return frame("box");
    }

    public TableElem frameHsides() {
        return frame("hsides");
    }

    public TableElem frameLhs() {
        return frame("lhs");
    }

    public TableElem frameRhs() {
        return frame("rhs");
    }

    public TableElem frameVoid() {
        return frame("void");
    }

    public TableElem frameVsides() {
        return frame("vsides");
    }

    public TableElem rules(Object value) {
        return attr("rules", value);
    }

    public TableElem rulesAll() {
        return rules("all");
    }

    public TableElem rulesCols() {
        return rules("cols");
    }

    public TableElem rulesGroups() {
        return rules("groups");
    }

    public TableElem rulesNone() {
        return rules("none");
    }

    public TableElem rulesRows() {
        return rules("rows");
    }

    public TableElem summary(Object value) {
        return attr("summary", value);
    }

    public TableElem width(Object value) {
        return attr("width", value);
    }
}
